Bug 1534594 - Thunderbolt Enablement
Summary: Thunderbolt Enablement
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Kellner
QA Contact:
URL:
Whiteboard: ChangeAcceptedF28, SelfContainedChange
Depends On: 1552045
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-15 14:22 UTC by Jan Kurik
Modified: 2018-03-18 00:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-18 00:47:45 UTC


Attachments (Terms of Use)

Description Jan Kurik 2018-01-15 14:22:54 UTC
This is a tracking bug for Change: Thunderbolt Enablement
For more details, see: https://fedoraproject.org/wiki/Changes/ThunderboltEnablement

Support Thunderbolt 3 peripherals in a secure way hardware out of the box.

Comment 1 Jan Kurik 2018-02-20 14:10:19 UTC
On 2018-Feb-20, we have reached the Fedora 28 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2018-Feb-23 meeting.

Comment 2 Fedora End Of Life 2018-02-20 15:38:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Christian Kellner 2018-02-23 17:52:15 UTC
Ups, sorry, that slipped my radar.
The first version of the bolt (0.1) is packaged and in the repo. The changes for gnome-shell have landed. So the minimum working solution is ready.
Having said that, I am currently working like overtime to get the gnome control center panel designs[0] implemented. This also needs more changes to the daemon.

The plan is to have a new bolt release with the necessary changes done early next week and then finish up the control center mid/late week.

[0] https://wiki.gnome.org/Design/Whiteboards/ThunderboltAccess

Comment 4 Fedora Update System 2018-03-06 04:02:15 UTC
bolt-0.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9053deff2a

Comment 5 Jan Kurik 2018-03-06 08:57:48 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 6 Christian Kellner 2018-03-06 12:09:14 UTC
Depends on 1552045 to get it into F28 beta.

Comment 7 Zbigniew Jędrzejewski-Szmek 2018-03-08 14:51:23 UTC
#1552045 is proposed as FE, so hopefully it'll go in soon.

Maybe you should ask on devel@fp.o or tests@fp.o for testing? I'm afraid that there aren't that many people using this hardware, so just waiting for karma to trickle in might now work.

Comment 8 Fedora Update System 2018-03-08 15:24:57 UTC
bolt-0.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9053deff2a

Comment 9 Fedora Update System 2018-03-18 00:47:45 UTC
bolt-0.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.